Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
GET

List all leads

Scope: crm:deals.read https://api.alladdin.com/api/v2/leads

Returns a paginated list of leads.
Results are paginated with limit and cursor parameters. Default page size is 50, configurable up to 200.

Parameters

Query parameters

cursor string optional

Pagination cursor returned by the previous response. Omit to start from the first page.

limit integer optional = 50

Maximum number of items to return

Request

python
import requests

url = "https://api.alladdin.com/api/v2/leads?cursor=value&limit=50"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())

Responses

Response

json
{
  "items": [
    {
      "id": "507f1f77bcf86cd799439011",
      "user_id": "string",
      "created_by": "string",
      "assigned_to": "string",
      "funnel_id": "string",
      "contact_id": "string",
      "contact_name": "string",
      "name": "string",
      "person_id": "string",
      "person_name": "string",
      "value": "1500.00",
      "potential": "75",
      "due_date": "string",
      "stage_id": "string",
      "created_at": "string",
      "updated_at": "string",
      "custom_fields": [
        {}
      ],
      "status": "open"
    }
  ],
  "has_more": false,
  "cursor": "string"
}

Success responses

200 List of leads application/json object items[] object[] required id string required

Unique identifier

user_id string required

Owner user ID

created_by string required

Creator user ID

assigned_to string | null required

Assigned user ID

funnel_id string required

Funnel ID

contact_id string required

Contact ID

contact_name string required

Contact name

name string required

Lead name

person_id string | null required

Person ID

person_name string | null required

Person name

value string required

Deal value as decimal string

potential string required

Deal potential as a decimal string

due_date string | null required

Due date in ISO 8601 format

stage_id string required

Current stage ID

created_at string | null required

Creation date in ISO 8601 format

updated_at string | null required

Last update date in ISO 8601 format

custom_fields[] object[] required

Custom fields

status string required

Lead status

Enum: open won lost has_more boolean required

Whether there are more items on the next page

cursor string | null optional

Opaque cursor to pass as ?cursor= to fetch the next page. Null on the last page.

Error responses

401 Invalid or missing API key application/json 403 Insufficient permissions application/json 429 Rate limit exceeded application/json

← PreviousUpdate a lead stage →

Next →Get a lead →